Zum Inhalt

Get shipToAddress

Retrieve the properties and relationships of a ship to address object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/shipToAddressesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a shipToAddress object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/shipToAddressesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "7b06383f-dcd8-ed11-a7cd-000d3a392f9f",
    "code": "MÜNCHEN",
    "customerNumber": "10000",
    "name": "Möbel-Meller KG",
    "name2": "",
    "address": "Bergstr. 12",
    "address2": "",
    "city": "Düsseldorf",
    "country": "",
    "postCode": "48436",
    "blocked": false
}

See also

Tips for working with the APIs
shipToAddress
Delete shipToAddress
Create shipToAddress
Update shipToAddress